mk: further simplify err()

yes, just awk everything, double-quoted

Signed-off-by: Leah Rowe <leah@libreboot.org>
This commit is contained in:
Leah Rowe
2026-09-14 12:22:29 +01:00
parent f115bdfe37
commit cd52750fec
+2 -5
View File
@@ -30,16 +30,13 @@ findpath()
x_()
{
[ $# -lt 1 ] || "$@" || \
err "Unhandled error" "x_" "$@"; :
[ $# -lt 1 ] || "$@" || err "Unhandled error" "x_" "$@"; :
}
err()
{
printf "ERROR %s: %s: " "${0-}" "${1-}" 1>&2
shift 1 2>/dev/null || :
printf '%s\n' "$@" | awk '{printf "\"%s\" ", $0}'
printf "\n"
printf "ERROR!\n"
exit 1
}